;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_14.inc
;;   Version: 2.5, Updated on 2009/1/29 at 23:14:52
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_14 API's.
;--------------------------------------------------

PWM8_14_CONTROL_REG_START_BIT:             equ 0x01    ; Control register start bit
PWM8_14_INT_REG:                           equ 0x0df
PWM8_14_INT_MASK:                          equ 0x20


;--------------------------------------------------
; Constants for PWM8_14 user defined values
;--------------------------------------------------

PWM8_14_PERIOD:                            equ 0x1f
PWM8_14_PULSE_WIDTH:                       equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_14
;--------------------------------------------------

PWM8_14_COUNTER_REG:                   equ 0x54   ; DR0 Count register
PWM8_14_PERIOD_REG:                    equ 0x55   ; DR1 Period register
PWM8_14_COMPARE_REG:                   equ 0x56   ; DR2 Compare register
PWM8_14_CONTROL_REG:                   equ 0x57   ; Control register
PWM8_14_FUNC_REG:                      equ 0x54   ; Function register
PWM8_14_INPUT_REG:                     equ 0x55   ; Input register
PWM8_14_OUTPUT_REG:                    equ 0x56   ; Output register


;--------------------------------------------------
; PWM8_14 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_14_Start_M
   or    reg[PWM8_14_CONTROL_REG],  PWM8_14_CONTROL_REG_START_BIT
   endm

   macro PWM8_14_Stop_M
   and   reg[PWM8_14_CONTROL_REG], ~PWM8_14_CONTROL_REG_START_BIT
   endm

   macro PWM8_14_EnableInt_M
   M8C_EnableIntMask PWM8_14_INT_REG, PWM8_14_INT_MASK
   endm

   macro PWM8_14_DisableInt_M
   M8C_DisableIntMask PWM8_14_INT_REG, PWM8_14_INT_MASK
   endm


; end of file PWM8_14.inc
