;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_3.inc
;;   Version: 2.5, Updated on 2009/1/29 at 23:14:52
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_3 API's.
;--------------------------------------------------

PWM8_3_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_3_INT_REG:                            equ 0x0e1
PWM8_3_INT_MASK:                           equ 0x04


;--------------------------------------------------
; Constants for PWM8_3 user defined values
;--------------------------------------------------

PWM8_3_PERIOD:                             equ 0x1f
PWM8_3_PULSE_WIDTH:                        equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_3
;--------------------------------------------------

PWM8_3_COUNTER_REG:                    equ 0x28   ; DR0 Count register
PWM8_3_PERIOD_REG:                     equ 0x29   ; DR1 Period register
PWM8_3_COMPARE_REG:                    equ 0x2a   ; DR2 Compare register
PWM8_3_CONTROL_REG:                    equ 0x2b   ; Control register
PWM8_3_FUNC_REG:                       equ 0x28   ; Function register
PWM8_3_INPUT_REG:                      equ 0x29   ; Input register
PWM8_3_OUTPUT_REG:                     equ 0x2a   ; Output register


;--------------------------------------------------
; PWM8_3 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_3_Start_M
   or    reg[PWM8_3_CONTROL_REG],  PWM8_3_CONTROL_REG_START_BIT
   endm

   macro PWM8_3_Stop_M
   and   reg[PWM8_3_CONTROL_REG], ~PWM8_3_CONTROL_REG_START_BIT
   endm

   macro PWM8_3_EnableInt_M
   M8C_EnableIntMask PWM8_3_INT_REG, PWM8_3_INT_MASK
   endm

   macro PWM8_3_DisableInt_M
   M8C_DisableIntMask PWM8_3_INT_REG, PWM8_3_INT_MASK
   endm


; end of file PWM8_3.inc
