;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_6.inc
;;   Version: 2.5, Updated on 2009/1/29 at 23:14:52
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_6 API's.
;--------------------------------------------------

PWM8_6_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_6_INT_REG:                            equ 0x0e1
PWM8_6_INT_MASK:                           equ 0x20


;--------------------------------------------------
; Constants for PWM8_6 user defined values
;--------------------------------------------------

PWM8_6_PERIOD:                             equ 0x1f
PWM8_6_PULSE_WIDTH:                        equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_6
;--------------------------------------------------

PWM8_6_COUNTER_REG:                    equ 0x34   ; DR0 Count register
PWM8_6_PERIOD_REG:                     equ 0x35   ; DR1 Period register
PWM8_6_COMPARE_REG:                    equ 0x36   ; DR2 Compare register
PWM8_6_CONTROL_REG:                    equ 0x37   ; Control register
PWM8_6_FUNC_REG:                       equ 0x34   ; Function register
PWM8_6_INPUT_REG:                      equ 0x35   ; Input register
PWM8_6_OUTPUT_REG:                     equ 0x36   ; Output register


;--------------------------------------------------
; PWM8_6 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_6_Start_M
   or    reg[PWM8_6_CONTROL_REG],  PWM8_6_CONTROL_REG_START_BIT
   endm

   macro PWM8_6_Stop_M
   and   reg[PWM8_6_CONTROL_REG], ~PWM8_6_CONTROL_REG_START_BIT
   endm

   macro PWM8_6_EnableInt_M
   M8C_EnableIntMask PWM8_6_INT_REG, PWM8_6_INT_MASK
   endm

   macro PWM8_6_DisableInt_M
   M8C_DisableIntMask PWM8_6_INT_REG, PWM8_6_INT_MASK
   endm


; end of file PWM8_6.inc
