;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_7.inc
;;   Version: 2.5, Updated on 2009/1/29 at 23:14:52
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_7 API's.
;--------------------------------------------------

PWM8_7_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_7_INT_REG:                            equ 0x0e1
PWM8_7_INT_MASK:                           equ 0x40


;--------------------------------------------------
; Constants for PWM8_7 user defined values
;--------------------------------------------------

PWM8_7_PERIOD:                             equ 0x1f
PWM8_7_PULSE_WIDTH:                        equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_7
;--------------------------------------------------

PWM8_7_COUNTER_REG:                    equ 0x38   ; DR0 Count register
PWM8_7_PERIOD_REG:                     equ 0x39   ; DR1 Period register
PWM8_7_COMPARE_REG:                    equ 0x3a   ; DR2 Compare register
PWM8_7_CONTROL_REG:                    equ 0x3b   ; Control register
PWM8_7_FUNC_REG:                       equ 0x38   ; Function register
PWM8_7_INPUT_REG:                      equ 0x39   ; Input register
PWM8_7_OUTPUT_REG:                     equ 0x3a   ; Output register


;--------------------------------------------------
; PWM8_7 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_7_Start_M
   or    reg[PWM8_7_CONTROL_REG],  PWM8_7_CONTROL_REG_START_BIT
   endm

   macro PWM8_7_Stop_M
   and   reg[PWM8_7_CONTROL_REG], ~PWM8_7_CONTROL_REG_START_BIT
   endm

   macro PWM8_7_EnableInt_M
   M8C_EnableIntMask PWM8_7_INT_REG, PWM8_7_INT_MASK
   endm

   macro PWM8_7_DisableInt_M
   M8C_DisableIntMask PWM8_7_INT_REG, PWM8_7_INT_MASK
   endm


; end of file PWM8_7.inc
