;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_8.inc
;;   Version: 2.5, Updated on 2009/1/29 at 23:14:52
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_8 API's.
;--------------------------------------------------

PWM8_8_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_8_INT_REG:                            equ 0x0e1
PWM8_8_INT_MASK:                           equ 0x80


;--------------------------------------------------
; Constants for PWM8_8 user defined values
;--------------------------------------------------

PWM8_8_PERIOD:                             equ 0x1f
PWM8_8_PULSE_WIDTH:                        equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_8
;--------------------------------------------------

PWM8_8_COUNTER_REG:                    equ 0x3c   ; DR0 Count register
PWM8_8_PERIOD_REG:                     equ 0x3d   ; DR1 Period register
PWM8_8_COMPARE_REG:                    equ 0x3e   ; DR2 Compare register
PWM8_8_CONTROL_REG:                    equ 0x3f   ; Control register
PWM8_8_FUNC_REG:                       equ 0x3c   ; Function register
PWM8_8_INPUT_REG:                      equ 0x3d   ; Input register
PWM8_8_OUTPUT_REG:                     equ 0x3e   ; Output register


;--------------------------------------------------
; PWM8_8 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_8_Start_M
   or    reg[PWM8_8_CONTROL_REG],  PWM8_8_CONTROL_REG_START_BIT
   endm

   macro PWM8_8_Stop_M
   and   reg[PWM8_8_CONTROL_REG], ~PWM8_8_CONTROL_REG_START_BIT
   endm

   macro PWM8_8_EnableInt_M
   M8C_EnableIntMask PWM8_8_INT_REG, PWM8_8_INT_MASK
   endm

   macro PWM8_8_DisableInt_M
   M8C_DisableIntMask PWM8_8_INT_REG, PWM8_8_INT_MASK
   endm


; end of file PWM8_8.inc
