;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_9.inc
;;   Version: 2.5, Updated on 2009/1/29 at 23:14:52
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_9 API's.
;--------------------------------------------------

PWM8_9_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_9_INT_REG:                            equ 0x0df
PWM8_9_INT_MASK:                           equ 0x01


;--------------------------------------------------
; Constants for PWM8_9 user defined values
;--------------------------------------------------

PWM8_9_PERIOD:                             equ 0x1f
PWM8_9_PULSE_WIDTH:                        equ 0x00


;--------------------------------------------------
; Register Address Constants for PWM8_9
;--------------------------------------------------

PWM8_9_COUNTER_REG:                    equ 0x40   ; DR0 Count register
PWM8_9_PERIOD_REG:                     equ 0x41   ; DR1 Period register
PWM8_9_COMPARE_REG:                    equ 0x42   ; DR2 Compare register
PWM8_9_CONTROL_REG:                    equ 0x43   ; Control register
PWM8_9_FUNC_REG:                       equ 0x40   ; Function register
PWM8_9_INPUT_REG:                      equ 0x41   ; Input register
PWM8_9_OUTPUT_REG:                     equ 0x42   ; Output register


;--------------------------------------------------
; PWM8_9 Macro 'Functions'
;--------------------------------------------------

   macro PWM8_9_Start_M
   or    reg[PWM8_9_CONTROL_REG],  PWM8_9_CONTROL_REG_START_BIT
   endm

   macro PWM8_9_Stop_M
   and   reg[PWM8_9_CONTROL_REG], ~PWM8_9_CONTROL_REG_START_BIT
   endm

   macro PWM8_9_EnableInt_M
   M8C_EnableIntMask PWM8_9_INT_REG, PWM8_9_INT_MASK
   endm

   macro PWM8_9_DisableInt_M
   M8C_DisableIntMask PWM8_9_INT_REG, PWM8_9_INT_MASK
   endm


; end of file PWM8_9.inc
